<?php
namespace Codexonics\PrimeMoverFramework\interfaces;

/*
 * This file is part of the Codexonics.PrimeMoverFramework package.
 *
 * (c) Codexonics Ltd
 *
 * This package is Open Source Software. For the full copyright and license
 * information, please view the LICENSE file which was distributed with this
 * source code.
 */

if (! defined('ABSPATH')) {
    exit;
}

interface PrimeMoverExport
{
    public function multisiteCreateTempfolderForThisSiteExport($blogid_to_export);
    public function multisiteCreateFoldername($blogid_to_export);
    public function multisiteDumpDbForExport($blogid_to_export, $tmp_folderpath);
    public function multisiteCopyBlogsdirFilesToTempfolder($blogid_to_export, $tmp_folderpath);
    public function multisiteGenerateExportFootprintConfig($blogid_to_export, $tmp_folderpath);
    public function multisiteZippedFolder($tmp_folderpath);
    public function multisiteDeleteTemporaryFolder($tmp_folderpath);
    public function multisiteGenerateDownloadUrl($results);
}
